> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/guides/orders/get-order-details/taxes-in-order-details.md).

# Taxes in order details

Get the following data about the taxes applied to the order with Ecwid API:

* Order total (final price) and subtotal (price of products in the cart) without taxes
* Total tax applied to the order.
* Details on customer tax exemption.
* Detailed information on taxes applied to specific products in the order.
* Details on taxes applied to order's shipping costs.

### Configured order API call

You can filter out everything in the order details except for the tax details with the `responseFields` query param.

#### Request example:

{% code overflow="wrap" %}

```http
GET /api/v3/STOREID/orders/ORDERID?responseFields=total,totalWithoutTax,subtotal,subtotalWithoutTax,tax,customerTaxExempt,customerTaxId,customerTaxIdValid,reversedTaxApplied,items(id,price,priceWithoutTax,tax,taxable,taxes),taxesOnShipping,pricesIncludeTax HTTP/1.1
Host: app.ecwid.com
Authorization: Bearer secret_token
```

{% endcode %}

Change `STOREID` with your store ID, `ORDERID` with the order ID ([find order ID](/api-reference/rest-api/orders/search-orders.md)), and the `secret_token` with the secret access token of your app.

#### Response examples:

```json
{
    "total": 101,
    "totalWithoutTax": 93.64,
    "subtotal": 100,
    "subtotalWithoutTax": 92.64,
    "tax": 7.36,
    "customerTaxExempt": false,
    "customerTaxId": "",
    "customerTaxIdValid": false,
    "reversedTaxApplied": false,
    "items": [
        {
            "id": 1826596664,
            "price": 50,
            "priceWithoutTax": 46.32,
            "tax": 7.36,
            "taxable": true,
            "taxes": [
                {
                    "name": "10% Tax",
                    "value": 10,
                    "total": 7.36,
                    "taxOnDiscountedSubtotal": 7.36,
                    "taxOnShipping": 0,
                    "includeInPrice": true,
                    "sourceTaxRateId": 947976181,
                    "sourceTaxRateType": "MANUAL",
                    "taxClassName": "Standard rate",
                    "taxClassCode": "default"
                }
            ]
        }
    ],
    "taxesOnShipping": [],
    "pricesIncludeTax": true
}
```

{% hint style="info" %}
If `priceWithoutTax` < `price`, the product has taxes included in the price. Check the `pricesIncludeTax` value and process the order accordingly.
{% endhint %}

where:

* `total` - Total order cost with everything calculated.
* `totalWithoutTax` - Total order cost without taxes applied.
* `subtotal` - Sum of all product prices before any fees or discounts.
* `subtotalWithoutTax` - Sum of all product prices before any fees, discounts, and taxes apply.
* `tax` - Total sum of all taxes applied to the order.<br>
* `items.id` - Internal product ID for API calls.
* `items.price` - Product price in the order that includes taxes.
* `items.priceWithoutTax` - Product price in the order without taxes.
* `items.taxable` - Base product price as in the Ecwid admin without any price modifiers from the order applied.
* `items.taxes` - If `true`, taxes are applied to the product.<br>
* `taxesOnShipping` - List with details on taxes applied to order's shipping costs.
* `pricesIncludeTax` - If `true`, store uses gross prices, and tax is included in the product price. If `false`, store uses net prices, and taxes are only added to the product prices at the checkout.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/guides/orders/get-order-details/taxes-in-order-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
